summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorTal Peer <coredumb@gentoo.org>2003-12-23 11:00:01 +0000
committerTal Peer <coredumb@gentoo.org>2003-12-23 11:00:01 +0000
commitf276716079ae4f888fb5ad876118b9991eb46154 (patch)
tree34b755753d042e785ea9b0bb97911c658b3c3cc3 /eclass
parentfix bug #36333. (diff)
downloadgentoo-2-f276716079ae4f888fb5ad876118b9991eb46154.tar.gz
gentoo-2-f276716079ae4f888fb5ad876118b9991eb46154.tar.bz2
gentoo-2-f276716079ae4f888fb5ad876118b9991eb46154.zip
Initial commit
Diffstat (limited to 'eclass')
-rw-r--r--eclass/php-pear.eclass34
1 files changed, 34 insertions, 0 deletions
diff --git a/eclass/php-pear.eclass b/eclass/php-pear.eclass
new file mode 100644
index 000000000000..5b337562054b
--- /dev/null
+++ b/eclass/php-pear.eclass
@@ -0,0 +1,34 @@
+# Copyright 1999-2003 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/eclass/php-pear.eclass,v 1.1 2003/12/23 11:00:01 coredumb Exp $
+#
+# Author: Tal Peer <coredumb@gentoo.org>
+#
+# The php-pear eclass provides means for easy installation of PEAR
+# packages, see http://pear.php.net
+
+# Note that this eclass doesn't handle PEAR packages' dependencies on
+# purpose, please use (R)DEPEND to define them.
+
+ECLASS=php-pear
+INHERITED="$INHERITED $ECLASS"
+EXPORT_FUNCTIONS src_install
+
+# Set this is the the package name on PEAR is different than the one in
+# portage (generally shouldn't be the case).
+[ -z "$PHP_PEAR_PKG_NAME" ] && PHP_PEAR_PKG_NAME=${PN/PEAR-/}
+PEAR_PN=${PHP_PEAR_PKG_NAME}-${PV}
+
+[ -z "$SRC_URI" ] && SRC_URI="http://pear.php.net/get/${PEAR_PN}.tgz"
+[ -z "$HOMEPAGE" ] && HOMEPAGE="http://pear.php.net/${PHP_PEAR_PKG_NAME}"
+
+DEPEND="$DEPEND virtual/php"
+RDEPEND="$RDEPEND $DEPEND"
+
+S="${WORKDIR}/${PEAR_PN}"
+
+php-pear_src_install () {
+ cd ${S}
+ mv ${WORKDIR}/package.xml ${S}
+ pear install --nodeps -R ${D} ${S}/package.xml || die
+}